<template>
  <nuxt-link
    to="/"
    @mouseenter.native="stop(); play()"
    @click.native="handleMobileClick"
  >
    <lottie
      class="inline-flex pr-5"
      style="margin: 0;"
      :options="defaultOptions"
      :width="176"
      :height="19"
      @animCreated="handleAnimation"
    />
  </nuxt-link>
</template>

<script>
import animationData from '~/assets/chouetteco_logo.json';
import Lottie from '~/components/partials/Lottie.vue';

export default {
  name: 'MainLogo',

  components: {
    'lottie': Lottie,
  },

  data () {
    return {
      defaultOptions: {
        animationData,
        loop: false,
      },
      animationSpeed: 1,
    };
  },

  methods: {
    handleAnimation (anim) {
      this.anim = anim;
    },

    handleMobileClick () {
      if (window.innerWidth < 768) {
        this.stop();
        this.play();
      }
    },

    stop () {
      this.anim.stop();
    },

    play () {
      this.anim.play();
    },

    pause () {
      this.anim.pause();
    },
  },
};
</script>
